org.apache.commons.math.linear

## Class OpenMapRealVector.OpenMapEntry

- java.lang.Object
- - org.apache.commons.math.linear.RealVector.Entry
  - - org.apache.commons.math.linear.OpenMapRealVector.OpenMapEntry

Enclosing class:
  OpenMapRealVector

    protected class OpenMapRealVector.OpenMapEntry
    extends RealVector.Entry

Implementation of `Entry` optimized for OpenMap.

This implementation does not allow arbitrary calls to `setIndex` since the order that entries are returned is undefined.

### Field Summary

Fields
`private OpenIntToDoubleHashMap.Iterator` `iter` Iterator pointing to the entry.

### Constructor Summary

Constructors
`protected` `OpenMapRealVector.OpenMapEntry(OpenIntToDoubleHashMap.Iterator iter)` Build an entry from an iterator point to an element.

### Method Summary

Methods
`int` `getIndex()` Get the index of the entry.
`double` `getValue()` Get the value of the entry.
`void` `setValue(double value)` Set the value of the entry.

### Methods inherited from class org.apache.commons.math.linear.RealVector.Entry

`setIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### iter

    private final OpenIntToDoubleHashMap.Iterator iter

Iterator pointing to the entry.

### Constructor Detail

#### OpenMapRealVector.OpenMapEntry

    protected OpenMapRealVector.OpenMapEntry(OpenIntToDoubleHashMap.Iterator iter)

Build an entry from an iterator point to an element.

Parameters:
  `iter` - iterator pointing to the entry

### Method Detail

#### getValue

    public double getValue()

Get the value of the entry.

Specified by:
  `getValue` in class `RealVector.Entry`
Returns:
  the value of the entry.

#### setValue

    public void setValue(double value)

Set the value of the entry.

Specified by:
  `setValue` in class `RealVector.Entry`
Parameters:
  `value` - New value for the entry.

#### getIndex

    public int getIndex()

Get the index of the entry.

Overrides:
  `getIndex` in class `RealVector.Entry`
Returns:
  the index of the entry.